/* Tabs */
.tab-content {
  display: none;
}
.tab-content.active {
  display: block;
}

#output {
  width: 100%;
  height: 100vh;
  border: none;
  background-color: white;
  transition: filter 0.3s ease;
}

.console-toolbar {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: #2d2d2d;
  padding: 6px 12px;
  display: flex;
  justify-content: flex-start;
  gap: 10px;
  z-index: 9998;
  border-top: 1px solid #444;
  box-shadow: 0 -2px 6px rgba(0, 0, 0, 0.4);
}

.console-icon-btn {
  background: #444;
  border: none;
  color: white;
  padding: 6px 12px;
  border-radius: 6px;
  cursor: pointer;
}

.console-container {
  position: fixed;
  bottom: 40px; 
  left: 0;
  width: 100%;
  max-height: 300px;
  display: none;
  flex-direction: column;
  background: #1e1e1e;
  z-index: 9999;
  box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.5);
}

.console-container.visible {
  display: flex;
}

.console-resizer {
  height: 6px;
  background: #666;
  cursor: ns-resize;
}

.console-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 6px 12px;
  background: #2c2c2c;
  color: white;
}

.console {
  flex: 1;
  padding: 12px;
  overflow-y: auto;
  background: #1e1e1e;
  color: #fff;
  font-family: monospace;
  font-size: 14px;
}


.clear-console-btn,
.close-console-btn {
  background-color: #444;
  color: #fff;
  border: none;
  padding: 6px 10px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 14px;
  transition: background 0.3s;
}

.clear-console-btn:hover {
  background-color: #e74c3c;
}
.close-console-btn:hover {
  background-color: #777;
}
